Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.res
Class XPATHErrorResources

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.PropertyResourceBundle
                  |
                  +--org.apache.xpath.res.XPATHErrorResources

public class XPATHErrorResources
extends java.util.PropertyResourceBundle

**For advanced use only** Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first update the count of messages(MAX_CODE)or the count of warnings(MAX_WARNING). The array will be automatically filled in with the keys, but you need to fill in the actual message string. Follow the instructions below.

Field Summary
`static java.lang.String` | `BAD_CODE` Field BAD_CODE
`static int` | `ER_ARG_LOCALNAME_INVALID` localname in QNAME should be a valid NCName
`static int` | `ER_ARG_LOCALNAME_NULL` Argument 'localName' is null
`static int` | `ER_ARG_PREFIX_INVALID` prefix in QNAME should be a valid NCName
`static int` | `ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` asNodeIterator() not supported by XRTreeFragSelectWrapper
`static int` | `ER_AXES_NOT_ALLOWED` Field ER_AXES_NOT_ALLOWED
`static int` | `ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL` Field ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL
`static int` | `ER_CANNOT_CALL_SETSHOULDCACHENODE`
`static int` | `ER_CANNOT_CREATE_URL` Field ER_CANNOT_CREATE_URL
`static int` | `ER_CANNOT_DEAL_XPATH_TYPE` Can not deal with XPath type:
`static int` | `ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL` Field ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL
`static int` | `ER_CANT_CONVERT_TO_BOOLEAN` Field ER_CANT_CONVERT_TO_BOOLEAN
`static int` | `ER_CANT_CONVERT_TO_MUTABLENODELIST` Field ER_CANT_CONVERT_TO_MUTABLENODELIST
`static int` | `ER_CANT_CONVERT_TO_NODELIST` Field ER_CANT_CONVERT_TO_NODELIST
`static int` | `ER_CANT_CONVERT_TO_NUMBER` Field ER_CANT_CONVERT_TO_NUMBER
`static int` | `ER_CANT_CONVERT_TO_SINGLENODE` Field ER_CANT_CONVERT_TO_SINGLENODE
`static int` | `ER_CANT_CONVERT_TO_STRING` Field ER_CANT_CONVERT_TO_STRING
`static int` | `ER_CANT_CONVERT_TO_TYPE` Field ER_CANT_CONVERT_TO_TYPE
`static int` | `ER_CANT_GET_SNAPSHOT_LENGTH` Field ER_CANT_GET_SNAPSHOT_LENGTH
`static int` | `ER_CANT_HAVE_MORE_THAN_ONE_ROOT` Field ER_CANT_HAVE_MORE_THAN_ONE_ROOT
`static int` | `ER_CANT_OUTPUT_TEXT_BEFORE_DOC` Field ER_CANT_OUTPUT_TEXT_BEFORE_DOC
`static int` | `ER_CHILD_HAS_NO_OWNER_DOCUMENT` Field ER_CHILD_HAS_NO_OWNER_DOCUMENT
`static int` | `ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT` Field ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT
`static int` | `ER_CONTEXT_HAS_NO_OWNERDOC` Field ER_CONTEXT_HAS_NO_OWNERDOC
`static int` | `ER_COULD_NOT_FIND_VAR` Could not find variable with the name of
`static int` | `ER_COULDNOT_BE_FORMATTED_TO_NUMBER` Field ER_COULDNOT_BE_FORMATTED_TO_NUMBER
`static int` | `ER_COULDNOT_CREATE_XMLPROCESSORLIAISON` Field ER_COULDNOT_CREATE_XMLPROCESSORLIAISON
`static int` | `ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH` Field ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH
`static int` | `ER_COULDNOT_FIND_FUNCTION` Field ER_COULDNOT_FIND_FUNCTION
`static int` | `ER_COULDNOT_GET_VAR_NAMED` Field ER_COULDNOT_GET_VAR_NAMED
`static int` | `ER_COUNT_TAKES_1_ARG` Field ER_COUNT_TAKES_1_ARG
`static int` | `ER_CREATEDOCUMENT_NOT_SUPPORTED` Field ER_CREATEDOCUMENT_NOT_SUPPORTED
`static int` | `ER_CURRENT_NOT_ALLOWED_IN_MATCH` Field ER_CURRENT_NOT_ALLOWED_IN_MATCH
`static int` | `ER_CURRENT_TAKES_NO_ARGS` Field ER_CURRENT_TAKES_NO_ARGS
`static int` | `ER_DIDNOT_FIND_XPATH_SELECT_EXP` Field ER_DIDNOT_FIND_XPATH_SELECT_EXP
`static int` | `ER_DOC_MUTATED` Field ER_DOC_MUTATED
`static int` | `ER_DOCUMENT_REPLACED` Field ER_DOCUMENT_REPLACED
`static int` | `ER_DTM_CANNOT_HANDLE_NODES` Field ER_DTM_CANNOT_HANDLE_NODES
`static int` | `ER_EMPTY_EXPRESSION` Field ER_EMPTY_EXPRESSION
`static int` | `ER_EMPTY_XPATH_RESULT` Field ER_EMPTY_XPATH_RESULT
`static int` | `ER_ERROR_OCCURED` Field ER_ERROR_OCCURED
`static int` | `ER_EXPECTED_BUT_FOUND` Field ER_EXPECTED_BUT_FOUND
`static int` | `ER_EXPECTED_DOUBLE_QUOTE` Field ER_EXPECTED_DOUBLE_QUOTE
`static int` | `ER_EXPECTED_LOC_PATH` Problem with LocationPath
`static int` | `ER_EXPECTED_LOC_STEP` Problem with Step
`static int` | `ER_EXPECTED_MATCH_PATTERN` Field ER_EXPECTED_MATCH_PATTERN
`static int` | `ER_EXPECTED_NODE_TEST` Problem with NodeTest
`static int` | `ER_EXPECTED_REL_LOC_PATH` Problem with RelativeLocationPath
`static int` | `ER_EXPECTED_REL_PATH_PATTERN` Expected relative path pattern
`static int` | `ER_EXPECTED_SINGLE_QUOTE` Field ER_EXPECTED_SINGLE_QUOTE
`static int` | `ER_EXPECTED_STEP_PATTERN` Expected step pattern
`static int` | `ER_EXTRA_ILLEGAL_TOKENS` Field ER_EXTRA_ILLEGAL_TOKENS
`static int` | `ER_FASTSTRINGBUFFER_CANNOT_BE_NULL` The FastStringBuffer argument can not be null
`static int` | `ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG` Field ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG
`static int` | `ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG` Field ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG
`static int` | `ER_FSB_CANNOT_TAKE_STRING`
`static int` | `ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS` fsb() not supported for XStringForChars
`static int` | `ER_FUNCTION_TOKEN_NOT_FOUND` Field ER_XPATH_READOBJECT
`static int` | `ER_IGNORABLE_WHITESPACE_NOT_HANDLED` Field ER_IGNORABLE_WHITESPACE_NOT_HANDLED
`static int` | `ER_ILLEGAL_AXIS_NAME` Field ER_ILLEGAL_AXIS_NAME
`static int` | `ER_ILLEGAL_VARIABLE_REFERENCE` Field ER_ILLEGAL_VARIABLE_REFERENCE
`static int` | `ER_INCOMPATIBLE_TYPES` Field ER_INCOMPATIBLE_TYPES
`static int` | `ER_INCORRECT_ARG_LENGTH` Field ER_INCORRECT_ARG_LENGTH
`static int` | `ER_INCORRECT_PROGRAMMER_ASSERTION` Field ER_INCORRECT_PROGRAMMER_ASSERTION
`static int` | `ER_INVALID_UTF16_SURROGATE` Field ER_INVALID_UTF16_SURROGATE
`static int` | `ER_INVALID_XPATH_TYPE` Field ER_INVALID_XPATH_TYPE
`static int` | `ER_KEY_HAS_TOO_MANY_ARGS` Field ER_KEY_HAS_TOO_MANY_ARGS
`static int` | `ER_LOCALNAME_HAS_TOO_MANY_ARGS` Field ER_LOCALNAME_HAS_TOO_MANY_ARGS
`static int` | `ER_NAME_HAS_TOO_MANY_ARGS` Field ER_NAME_HAS_TOO_MANY_ARGS
`static int` | `ER_NAMESPACEAXIS_NOT_IMPLEMENTED` Field ER_NAMESPACEAXIS_NOT_IMPLEMENTED
`static int` | `ER_NAMESPACEURI_HAS_TOO_MANY_ARGS` Field ER_NAMESPACEURI_HAS_TOO_MANY_ARGS
`static int` | `ER_NODESET_CANNOT_INDEX`
`static int` | `ER_NODESET_CANNOT_ITERATE`
`static int` | `ER_NODESET_NOT_MUTABLE` This NodeSet is not mutable
`static int` | `ER_NODESETDTM_CANNOT_INDEX`
`static int` | `ER_NODESETDTM_CANNOT_ITERATE`
`static int` | `ER_NODESETDTM_NOT_MUTABLE` This NodeSetDTM is not mutable
`static int` | `ER_NON_ITERATOR_TYPE` Field ER_NON_ITERATOR_TYPE
`static int` | `ER_NON_SNAPSHOT_TYPE` Field ER_NON_SNAPSHOT_TYPE
`static int` | `ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS` Field ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS
`static int` | `ER_NULL_ERROR_HANDLER` Null error handler
`static int` | `ER_NULL_RESOLVER` Field ER_NULL_RESOLVER
`static int` | `ER_NUMBER_HAS_TOO_MANY_ARGS` Field ER_NUMBER_HAS_TOO_MANY_ARGS
`static int` | `ER_OIERROR` Field ER_OIERROR
`static int` | `ER_ONLY_ALLOWS`
`static int` | `ER_PARSE_NOT_SUPPORTED` Field ER_PARSE_NOT_SUPPORTED
`static int` | `ER_PATTERN_LITERAL_NEEDS_BE_QUOTED` Field ER_PATTERN_LITERAL_NEEDS_BE_QUOTED
`static int` | `ER_PREDICATE_ILLEGAL_SYNTAX` Field ER_PREDICATE_ILLEGAL_SYNTAX
`static int` | `ER_PREFIX_MUST_RESOLVE` Field ER_PREFIX_MUST_RESOLVE
`static int` | `ER_PROBLEM_IN_DTM_NEXTSIBLING` Field ER_PROBLEM_IN_DTM_NEXTSIBLING
`static int` | `ER_PROG_ASSERT_UNKNOWN_OPCODE` Programmer's assertion: unknown opcode
`static int` | `ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` rtf() not supported by XRTreeFragSelectWrapper
`static int` | `ER_SAX_API_NOT_HANDLED` Field ER_SAX_API_NOT_HANDLED
`static int` | `ER_SETDOMFACTORY_NOT_SUPPORTED` Field ER_SETDOMFACTORY_NOT_SUPPORTED
`static int` | `ER_SETTING_WALKER_ROOT_TO_NULL`
`static int` | `ER_STRING_HAS_TOO_MANY_ARGS` Field ER_STRING_HAS_TOO_MANY_ARGS
`static int` | `ER_STRINGLENGTH_HAS_TOO_MANY_ARGS` Field ER_STRINGLENGTH_HAS_TOO_MANY_ARGS
`static int` | `ER_TRANSLATE_TAKES_3_ARGS` Field ER_TRANSLATE_TAKES_3_ARGS
`static int` | `ER_TWO_OR_THREE` 2 or 3
`static int` | `ER_UNKNOWN_AXIS` Field ER_UNKNOWN_AXIS
`static int` | `ER_UNKNOWN_MATCH_OPERATION` Field ER_UNKNOWN_MATCH_OPERATION
`static int` | `ER_UNKNOWN_NODETYPE` Field ER_UNKNOWN_NODETYPE
`static int` | `ER_UNKNOWN_OPCODE` Field ER_UNKNOWN_OPCODE
`static int` | `ER_UNKNOWN_STEP`
`static int` | `ER_UNPARSEDENTITYURI_TAKES_1_ARG` Field ER_UNPARSEDENTITYURI_TAKES_1_ARG
`static int` | `ER_UNSUPPORTED_ENCODING` Field ER_UNSUPPORTED_ENCODING
`static int` | `ER_VAR_NOT_RESOLVABLE` Variable not resolvable:
`static int` | `ER_VARIABLE_ACCESSED_BEFORE_BIND`
`static int` | `ER_WRONG_DOCUMENT` Field ER_WRONG_DOCUMENT
`static int` | `ER_WRONG_NODETYPE` Field ER_WRONG_NODETYPE
`static int` | `ER_XERCES_CANNOT_HANDLE_NODES` Field ER_XERCES_CANNOT_HANDLE_NODES
`static int` | `ER_XERCES_PARSE_ERROR` Field ER_XERCES_PARSE_ERROR
`static int` | `ER_XERCES_PARSE_ERROR_DETAILS` Field ER_XERCES_PARSE_ERROR_DETAILS
`static int` | `ER_XPATH_ERROR` Field ER_XPATH_ERROR
`static int` | `ER_XPATH_READOBJECT` Field ER_XPATH_READOBJECT
`static int` | `ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING` XStringForChars can not take a string for an argument
`static int` | `ER_ZERO_OR_ONE` 0 or 1
`static java.lang.String` | `ERROR_HEADER` Field ERROR_HEADER
`static java.lang.String` | `ERROR_RESOURCES` Field ERROR_RESOURCES
`static java.lang.String` | `ERROR_STRING` Field ERROR_STRING
`static java.lang.String` | `ERROR_SUFFIX` Field ERROR_SUFFIX
`static int` | `ERROR0000` Field ERROR0000
`static java.lang.String` | `FORMAT_FAILED` Field FORMAT_FAILED
`static java.lang.String` | `QUERY_HEADER` Field QUERY_HEADER
`static java.lang.String` | `WARNING_HEADER` Field WARNING_HEADER
`static java.lang.String` | `WARNING_SUFFIX` Field WARNING_SUFFIX
`static int` | `WG_CANNOT_MAKE_URL_FROM` Field WG_CANNOT_MAKE_URL_FROM
`static int` | `WG_COULDNOT_FIND_FUNCTION` Field WG_COULDNOT_FIND_FUNCTION
`static int` | `WG_DONT_DO_ANYTHING_WITH_NS` Field WG_DONT_DO_ANYTHING_WITH_NS
`static int` | `WG_EXPAND_ENTITIES_NOT_SUPPORTED` Field WG_EXPAND_ENTITIES_NOT_SUPPORTED
`static int` | `WG_FUNCTION_TOKEN_NOT_FOUND` Field WG_FUNCTION_TOKEN_NOT_FOUND
`static int` | `WG_ILLEGAL_VARIABLE_REFERENCE` Field WG_ILLEGAL_VARIABLE_REFERENCE
`static int` | `WG_LOCALE_NAME_NOT_HANDLED` Field WG_LOCALE_NAME_NOT_HANDLED
`static int` | `WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST` Field WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST
`static int` | `WG_PROPERTY_NOT_SUPPORTED` Field WG_PROPERTY_NOT_SUPPORTED
`static int` | `WG_QUO_NO_LONGER_DEFINED` Field WG_QUO_NO_LONGER_DEFINED
`static int` | `WG_SECURITY_EXCEPTION` Field WG_SECURITY_EXCEPTION
`static int` | `WG_UNSUPPORTED_ENCODING` Field WG_UNSUPPORTED_ENCODING
`static java.lang.String` | `XML_HEADER` Field XML_HEADER
`static java.lang.String` | `XSL_HEADER` Field XSL_HEADER

Constructor Summary
`XPATHErrorResources()`
`XPATHErrorResources(java.io.InputStream is)`

Method Summary
`static java.lang.String` | `getMessageKey(int errorCode)` Get the error string associated with the error code
`static java.lang.String` | `getMKey(int errorCode)` Get the key string for an error based on the integer representation.
`static java.lang.String` | `getWarningKey(int errorCode)` Get the warning string associated with the error code
`static java.lang.String` | `getWKey(int errorCode)` Get the key string for an warning based on the integer representation.
`static java.util.ResourceBundle` | `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.PropertyResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_SUFFIX

    public static final java.lang.String ERROR_SUFFIX

  Field ERROR_SUFFIX

### WARNING_SUFFIX

    public static final java.lang.String WARNING_SUFFIX

  Field WARNING_SUFFIX

### ERROR0000

    public static final int ERROR0000

  Field ERROR0000

### ER_CURRENT_NOT_ALLOWED_IN_MATCH

    public static final int ER_CURRENT_NOT_ALLOWED_IN_MATCH

  Field ER_CURRENT_NOT_ALLOWED_IN_MATCH

### ER_CURRENT_TAKES_NO_ARGS

    public static final int ER_CURRENT_TAKES_NO_ARGS

  Field ER_CURRENT_TAKES_NO_ARGS

### ER_DOCUMENT_REPLACED

    public static final int ER_DOCUMENT_REPLACED

  Field ER_DOCUMENT_REPLACED

### ER_CONTEXT_HAS_NO_OWNERDOC

    public static final int ER_CONTEXT_HAS_NO_OWNERDOC

  Field ER_CONTEXT_HAS_NO_OWNERDOC

### ER_LOCALNAME_HAS_TOO_MANY_ARGS

    public static final int ER_LOCALNAME_HAS_TOO_MANY_ARGS

  Field ER_LOCALNAME_HAS_TOO_MANY_ARGS

### ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

    public static final int ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

  Field ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

### ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

    public static final int ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

  Field ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

### ER_NUMBER_HAS_TOO_MANY_ARGS

    public static final int ER_NUMBER_HAS_TOO_MANY_ARGS

  Field ER_NUMBER_HAS_TOO_MANY_ARGS

### ER_NAME_HAS_TOO_MANY_ARGS

    public static final int ER_NAME_HAS_TOO_MANY_ARGS

  Field ER_NAME_HAS_TOO_MANY_ARGS

### ER_STRING_HAS_TOO_MANY_ARGS

    public static final int ER_STRING_HAS_TOO_MANY_ARGS

  Field ER_STRING_HAS_TOO_MANY_ARGS

### ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

    public static final int ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

  Field ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

### ER_TRANSLATE_TAKES_3_ARGS

    public static final int ER_TRANSLATE_TAKES_3_ARGS

  Field ER_TRANSLATE_TAKES_3_ARGS

### ER_UNPARSEDENTITYURI_TAKES_1_ARG

    public static final int ER_UNPARSEDENTITYURI_TAKES_1_ARG

  Field ER_UNPARSEDENTITYURI_TAKES_1_ARG

### ER_NAMESPACEAXIS_NOT_IMPLEMENTED

    public static final int ER_NAMESPACEAXIS_NOT_IMPLEMENTED

  Field ER_NAMESPACEAXIS_NOT_IMPLEMENTED

### ER_UNKNOWN_AXIS

    public static final int ER_UNKNOWN_AXIS

  Field ER_UNKNOWN_AXIS

### ER_UNKNOWN_MATCH_OPERATION

    public static final int ER_UNKNOWN_MATCH_OPERATION

  Field ER_UNKNOWN_MATCH_OPERATION

### ER_INCORRECT_ARG_LENGTH

    public static final int ER_INCORRECT_ARG_LENGTH

  Field ER_INCORRECT_ARG_LENGTH

### ER_CANT_CONVERT_TO_NUMBER

    public static final int ER_CANT_CONVERT_TO_NUMBER

  Field ER_CANT_CONVERT_TO_NUMBER

### ER_CANT_CONVERT_TO_NODELIST

    public static final int ER_CANT_CONVERT_TO_NODELIST

  Field ER_CANT_CONVERT_TO_NODELIST

### ER_CANT_CONVERT_TO_MUTABLENODELIST

    public static final int ER_CANT_CONVERT_TO_MUTABLENODELIST

  Field ER_CANT_CONVERT_TO_MUTABLENODELIST

### ER_CANT_CONVERT_TO_TYPE

    public static final int ER_CANT_CONVERT_TO_TYPE

  Field ER_CANT_CONVERT_TO_TYPE

### ER_EXPECTED_MATCH_PATTERN

    public static final int ER_EXPECTED_MATCH_PATTERN

  Field ER_EXPECTED_MATCH_PATTERN

### ER_COULDNOT_GET_VAR_NAMED

    public static final int ER_COULDNOT_GET_VAR_NAMED

  Field ER_COULDNOT_GET_VAR_NAMED

### ER_UNKNOWN_OPCODE

    public static final int ER_UNKNOWN_OPCODE

  Field ER_UNKNOWN_OPCODE

### ER_EXTRA_ILLEGAL_TOKENS

    public static final int ER_EXTRA_ILLEGAL_TOKENS

  Field ER_EXTRA_ILLEGAL_TOKENS

### ER_EXPECTED_DOUBLE_QUOTE

    public static final int ER_EXPECTED_DOUBLE_QUOTE

  Field ER_EXPECTED_DOUBLE_QUOTE

### ER_EXPECTED_SINGLE_QUOTE

    public static final int ER_EXPECTED_SINGLE_QUOTE

  Field ER_EXPECTED_SINGLE_QUOTE

### ER_EMPTY_EXPRESSION

    public static final int ER_EMPTY_EXPRESSION

  Field ER_EMPTY_EXPRESSION

### ER_EXPECTED_BUT_FOUND

    public static final int ER_EXPECTED_BUT_FOUND

  Field ER_EXPECTED_BUT_FOUND

### ER_INCORRECT_PROGRAMMER_ASSERTION

    public static final int ER_INCORRECT_PROGRAMMER_ASSERTION

  Field ER_INCORRECT_PROGRAMMER_ASSERTION

### ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

    public static final int ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

  Field ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

### ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

    public static final int ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

  Field ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

### ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

    public static final int ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

  Field ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

### ER_PREDICATE_ILLEGAL_SYNTAX

    public static final int ER_PREDICATE_ILLEGAL_SYNTAX

  Field ER_PREDICATE_ILLEGAL_SYNTAX

### ER_ILLEGAL_AXIS_NAME

    public static final int ER_ILLEGAL_AXIS_NAME

  Field ER_ILLEGAL_AXIS_NAME

### ER_UNKNOWN_NODETYPE

    public static final int ER_UNKNOWN_NODETYPE

  Field ER_UNKNOWN_NODETYPE

### ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

    public static final int ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

  Field ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

### ER_COULDNOT_BE_FORMATTED_TO_NUMBER

    public static final int ER_COULDNOT_BE_FORMATTED_TO_NUMBER

  Field ER_COULDNOT_BE_FORMATTED_TO_NUMBER

### ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

    public static final int ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

  Field ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

### ER_DIDNOT_FIND_XPATH_SELECT_EXP

    public static final int ER_DIDNOT_FIND_XPATH_SELECT_EXP

  Field ER_DIDNOT_FIND_XPATH_SELECT_EXP

### ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

    public static final int ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

  Field ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

### ER_ERROR_OCCURED

    public static final int ER_ERROR_OCCURED

  Field ER_ERROR_OCCURED

### ER_ILLEGAL_VARIABLE_REFERENCE

    public static final int ER_ILLEGAL_VARIABLE_REFERENCE

  Field ER_ILLEGAL_VARIABLE_REFERENCE

### ER_AXES_NOT_ALLOWED

    public static final int ER_AXES_NOT_ALLOWED

  Field ER_AXES_NOT_ALLOWED

### ER_KEY_HAS_TOO_MANY_ARGS

    public static final int ER_KEY_HAS_TOO_MANY_ARGS

  Field ER_KEY_HAS_TOO_MANY_ARGS

### ER_COUNT_TAKES_1_ARG

    public static final int ER_COUNT_TAKES_1_ARG

  Field ER_COUNT_TAKES_1_ARG

### ER_COULDNOT_FIND_FUNCTION

    public static final int ER_COULDNOT_FIND_FUNCTION

  Field ER_COULDNOT_FIND_FUNCTION

### ER_UNSUPPORTED_ENCODING

    public static final int ER_UNSUPPORTED_ENCODING

  Field ER_UNSUPPORTED_ENCODING

### ER_PROBLEM_IN_DTM_NEXTSIBLING

    public static final int ER_PROBLEM_IN_DTM_NEXTSIBLING

  Field ER_PROBLEM_IN_DTM_NEXTSIBLING

### ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

    public static final int ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

  Field ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

### ER_SETDOMFACTORY_NOT_SUPPORTED

    public static final int ER_SETDOMFACTORY_NOT_SUPPORTED

  Field ER_SETDOMFACTORY_NOT_SUPPORTED

### ER_PREFIX_MUST_RESOLVE

    public static final int ER_PREFIX_MUST_RESOLVE

  Field ER_PREFIX_MUST_RESOLVE

### ER_PARSE_NOT_SUPPORTED

    public static final int ER_PARSE_NOT_SUPPORTED

  Field ER_PARSE_NOT_SUPPORTED

### ER_CREATEDOCUMENT_NOT_SUPPORTED

    public static final int ER_CREATEDOCUMENT_NOT_SUPPORTED

  Field ER_CREATEDOCUMENT_NOT_SUPPORTED

### ER_CHILD_HAS_NO_OWNER_DOCUMENT

    public static final int ER_CHILD_HAS_NO_OWNER_DOCUMENT

  Field ER_CHILD_HAS_NO_OWNER_DOCUMENT

### ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT

    public static final int ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT

  Field ER_CHILD_HAS_NO_OWNER_DOCUMENT_ELEMENT

### ER_SAX_API_NOT_HANDLED

    public static final int ER_SAX_API_NOT_HANDLED

  Field ER_SAX_API_NOT_HANDLED

### ER_IGNORABLE_WHITESPACE_NOT_HANDLED

    public static final int ER_IGNORABLE_WHITESPACE_NOT_HANDLED

  Field ER_IGNORABLE_WHITESPACE_NOT_HANDLED

### ER_DTM_CANNOT_HANDLE_NODES

    public static final int ER_DTM_CANNOT_HANDLE_NODES

  Field ER_DTM_CANNOT_HANDLE_NODES

### ER_XERCES_CANNOT_HANDLE_NODES

    public static final int ER_XERCES_CANNOT_HANDLE_NODES

  Field ER_XERCES_CANNOT_HANDLE_NODES

### ER_XERCES_PARSE_ERROR_DETAILS

    public static final int ER_XERCES_PARSE_ERROR_DETAILS

  Field ER_XERCES_PARSE_ERROR_DETAILS

### ER_XERCES_PARSE_ERROR

    public static final int ER_XERCES_PARSE_ERROR

  Field ER_XERCES_PARSE_ERROR

### ER_CANT_OUTPUT_TEXT_BEFORE_DOC

    public static final int ER_CANT_OUTPUT_TEXT_BEFORE_DOC

  Field ER_CANT_OUTPUT_TEXT_BEFORE_DOC

### ER_CANT_HAVE_MORE_THAN_ONE_ROOT

    public static final int ER_CANT_HAVE_MORE_THAN_ONE_ROOT

  Field ER_CANT_HAVE_MORE_THAN_ONE_ROOT

### ER_INVALID_UTF16_SURROGATE

    public static final int ER_INVALID_UTF16_SURROGATE

  Field ER_INVALID_UTF16_SURROGATE

### ER_OIERROR

    public static final int ER_OIERROR

  Field ER_OIERROR

### ER_CANNOT_CREATE_URL

    public static final int ER_CANNOT_CREATE_URL

  Field ER_CANNOT_CREATE_URL

### ER_XPATH_READOBJECT

    public static final int ER_XPATH_READOBJECT

  Field ER_XPATH_READOBJECT

### ER_FUNCTION_TOKEN_NOT_FOUND

    public static final int ER_FUNCTION_TOKEN_NOT_FOUND

  Field ER_XPATH_READOBJECT

### ER_ARG_LOCALNAME_NULL

    public static final int ER_ARG_LOCALNAME_NULL

  Argument 'localName' is null

### ER_CANNOT_DEAL_XPATH_TYPE

    public static final int ER_CANNOT_DEAL_XPATH_TYPE

  Can not deal with XPath type:

### ER_NODESET_NOT_MUTABLE

    public static final int ER_NODESET_NOT_MUTABLE

  This NodeSet is not mutable

### ER_NODESETDTM_NOT_MUTABLE

    public static final int ER_NODESETDTM_NOT_MUTABLE

  This NodeSetDTM is not mutable

### ER_VAR_NOT_RESOLVABLE

    public static final int ER_VAR_NOT_RESOLVABLE

  Variable not resolvable:

### ER_NULL_ERROR_HANDLER

    public static final int ER_NULL_ERROR_HANDLER

  Null error handler

### ER_PROG_ASSERT_UNKNOWN_OPCODE

    public static final int ER_PROG_ASSERT_UNKNOWN_OPCODE

  Programmer's assertion: unknown opcode

### ER_ZERO_OR_ONE

    public static final int ER_ZERO_OR_ONE

  0 or 1

### ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final int ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  rtf() not supported by XRTreeFragSelectWrapper

### ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final int ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  asNodeIterator() not supported by XRTreeFragSelectWrapper

### ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS

    public static final int ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS

  fsb() not supported for XStringForChars

### ER_COULD_NOT_FIND_VAR

    public static final int ER_COULD_NOT_FIND_VAR

  Could not find variable with the name of

### ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING

    public static final int ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING

  XStringForChars can not take a string for an argument

### ER_FASTSTRINGBUFFER_CANNOT_BE_NULL

    public static final int ER_FASTSTRINGBUFFER_CANNOT_BE_NULL

  The FastStringBuffer argument can not be null

### ER_TWO_OR_THREE

    public static final int ER_TWO_OR_THREE

  2 or 3

### ER_VARIABLE_ACCESSED_BEFORE_BIND

    public static final int ER_VARIABLE_ACCESSED_BEFORE_BIND

### ER_FSB_CANNOT_TAKE_STRING

    public static final int ER_FSB_CANNOT_TAKE_STRING

### ER_SETTING_WALKER_ROOT_TO_NULL

    public static final int ER_SETTING_WALKER_ROOT_TO_NULL

### ER_NODESETDTM_CANNOT_ITERATE

    public static final int ER_NODESETDTM_CANNOT_ITERATE

### ER_NODESET_CANNOT_ITERATE

    public static final int ER_NODESET_CANNOT_ITERATE

### ER_NODESETDTM_CANNOT_INDEX

    public static final int ER_NODESETDTM_CANNOT_INDEX

### ER_NODESET_CANNOT_INDEX

    public static final int ER_NODESET_CANNOT_INDEX

### ER_CANNOT_CALL_SETSHOULDCACHENODE

    public static final int ER_CANNOT_CALL_SETSHOULDCACHENODE

### ER_ONLY_ALLOWS

    public static final int ER_ONLY_ALLOWS

### ER_UNKNOWN_STEP

    public static final int ER_UNKNOWN_STEP

### ER_EXPECTED_REL_LOC_PATH

    public static final int ER_EXPECTED_REL_LOC_PATH

  Problem with RelativeLocationPath

### ER_EXPECTED_LOC_PATH

    public static final int ER_EXPECTED_LOC_PATH

  Problem with LocationPath

### ER_EXPECTED_LOC_STEP

    public static final int ER_EXPECTED_LOC_STEP

  Problem with Step

### ER_EXPECTED_NODE_TEST

    public static final int ER_EXPECTED_NODE_TEST

  Problem with NodeTest

### ER_EXPECTED_STEP_PATTERN

    public static final int ER_EXPECTED_STEP_PATTERN

  Expected step pattern

### ER_EXPECTED_REL_PATH_PATTERN

    public static final int ER_EXPECTED_REL_PATH_PATTERN

  Expected relative path pattern

### ER_ARG_LOCALNAME_INVALID

    public static final int ER_ARG_LOCALNAME_INVALID

  localname in QNAME should be a valid NCName

### ER_ARG_PREFIX_INVALID

    public static final int ER_ARG_PREFIX_INVALID

  prefix in QNAME should be a valid NCName

### ER_CANT_CONVERT_TO_BOOLEAN

    public static final int ER_CANT_CONVERT_TO_BOOLEAN

  Field ER_CANT_CONVERT_TO_BOOLEAN

### ER_CANT_CONVERT_TO_SINGLENODE

    public static final int ER_CANT_CONVERT_TO_SINGLENODE

  Field ER_CANT_CONVERT_TO_SINGLENODE

### ER_CANT_GET_SNAPSHOT_LENGTH

    public static final int ER_CANT_GET_SNAPSHOT_LENGTH

  Field ER_CANT_GET_SNAPSHOT_LENGTH

### ER_NON_ITERATOR_TYPE

    public static final int ER_NON_ITERATOR_TYPE

  Field ER_NON_ITERATOR_TYPE

### ER_DOC_MUTATED

    public static final int ER_DOC_MUTATED

  Field ER_DOC_MUTATED

### ER_INVALID_XPATH_TYPE

    public static final int ER_INVALID_XPATH_TYPE

  Field ER_INVALID_XPATH_TYPE

### ER_EMPTY_XPATH_RESULT

    public static final int ER_EMPTY_XPATH_RESULT

  Field ER_EMPTY_XPATH_RESULT

### ER_INCOMPATIBLE_TYPES

    public static final int ER_INCOMPATIBLE_TYPES

  Field ER_INCOMPATIBLE_TYPES

### ER_NULL_RESOLVER

    public static final int ER_NULL_RESOLVER

  Field ER_NULL_RESOLVER

### ER_CANT_CONVERT_TO_STRING

    public static final int ER_CANT_CONVERT_TO_STRING

  Field ER_CANT_CONVERT_TO_STRING

### ER_NON_SNAPSHOT_TYPE

    public static final int ER_NON_SNAPSHOT_TYPE

  Field ER_NON_SNAPSHOT_TYPE

### ER_WRONG_DOCUMENT

    public static final int ER_WRONG_DOCUMENT

  Field ER_WRONG_DOCUMENT

### ER_WRONG_NODETYPE

    public static final int ER_WRONG_NODETYPE

  Field ER_WRONG_NODETYPE

### ER_XPATH_ERROR

    public static final int ER_XPATH_ERROR

  Field ER_XPATH_ERROR

### WG_LOCALE_NAME_NOT_HANDLED

    public static final int WG_LOCALE_NAME_NOT_HANDLED

  Field WG_LOCALE_NAME_NOT_HANDLED

### WG_PROPERTY_NOT_SUPPORTED

    public static final int WG_PROPERTY_NOT_SUPPORTED

  Field WG_PROPERTY_NOT_SUPPORTED

### WG_DONT_DO_ANYTHING_WITH_NS

    public static final int WG_DONT_DO_ANYTHING_WITH_NS

  Field WG_DONT_DO_ANYTHING_WITH_NS

### WG_SECURITY_EXCEPTION

    public static final int WG_SECURITY_EXCEPTION

  Field WG_SECURITY_EXCEPTION

### WG_QUO_NO_LONGER_DEFINED

    public static final int WG_QUO_NO_LONGER_DEFINED

  Field WG_QUO_NO_LONGER_DEFINED

### WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

    public static final int WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

  Field WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

### WG_FUNCTION_TOKEN_NOT_FOUND

    public static final int WG_FUNCTION_TOKEN_NOT_FOUND

  Field WG_FUNCTION_TOKEN_NOT_FOUND

### WG_COULDNOT_FIND_FUNCTION

    public static final int WG_COULDNOT_FIND_FUNCTION

  Field WG_COULDNOT_FIND_FUNCTION

### WG_CANNOT_MAKE_URL_FROM

    public static final int WG_CANNOT_MAKE_URL_FROM

  Field WG_CANNOT_MAKE_URL_FROM

### WG_EXPAND_ENTITIES_NOT_SUPPORTED

    public static final int WG_EXPAND_ENTITIES_NOT_SUPPORTED

  Field WG_EXPAND_ENTITIES_NOT_SUPPORTED

### WG_ILLEGAL_VARIABLE_REFERENCE

    public static final int WG_ILLEGAL_VARIABLE_REFERENCE

  Field WG_ILLEGAL_VARIABLE_REFERENCE

### WG_UNSUPPORTED_ENCODING

    public static final int WG_UNSUPPORTED_ENCODING

  Field WG_UNSUPPORTED_ENCODING

### BAD_CODE

    public static final java.lang.String BAD_CODE

  Field BAD_CODE

### FORMAT_FAILED

    public static final java.lang.String FORMAT_FAILED

  Field FORMAT_FAILED

### ERROR_RESOURCES

    public static final java.lang.String ERROR_RESOURCES

  Field ERROR_RESOURCES

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

  Field ERROR_STRING

### ERROR_HEADER

    public static final java.lang.String ERROR_HEADER

  Field ERROR_HEADER

### WARNING_HEADER

    public static final java.lang.String WARNING_HEADER

  Field WARNING_HEADER

### XSL_HEADER

    public static final java.lang.String XSL_HEADER

  Field XSL_HEADER

### XML_HEADER

    public static final java.lang.String XML_HEADER

  Field XML_HEADER

### QUERY_HEADER

    public static final java.lang.String QUERY_HEADER

  Field QUERY_HEADER

Constructor Detail

### XPATHErrorResources

    public XPATHErrorResources()
                        throws java.io.IOException

### XPATHErrorResources

    public XPATHErrorResources(java.io.InputStream is)
                        throws java.io.IOException

Method Detail

### loadResourceBundle

    public static final java.util.ResourceBundle loadResourceBundle(java.lang.String className)
                                                             throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().
  Parameters:
    `res` - the name of the resource to load.
    `locale` - the locale to prefer when searching for the bundle
    `className` - Name of local-specific subclass.
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

### getMessageKey

    public static java.lang.String getMessageKey(int errorCode)

  Get the error string associated with the error code
  Parameters:
    `errorCode` - Error code
  Returns:
    error string associated with the given error code

### getWarningKey

    public static java.lang.String getWarningKey(int errorCode)

  Get the warning string associated with the error code
  Parameters:
    `errorCode` - Error code
  Returns:
    warning string associated with the given error code

### getMKey

    public static java.lang.String getMKey(int errorCode)

  Get the key string for an error based on the integer representation.
  Parameters:
    `errorCode` - Error code
  Returns:
    key string that may be used for lookup in the association table.

### getWKey

    public static java.lang.String getWKey(int errorCode)

  Get the key string for an warning based on the integer representation.
  Parameters:
    `errorCode` - Error code
  Returns:
    key string that may be used for lookup in the association table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.